Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-80985

Workstation install script fails with pip error

    • Type: Icon: Bug Bug
    • Resolution: Duplicate
    • Priority: Icon: Major - P3 Major - P3
    • None
    • Affects Version/s: None
    • Component/s: None
    • Labels:
      None
    • Server Development Platform
    • ALL

      A user had issues with the workstation install script wit the error "Getting requirements to build wheel did not run successfully." The full log is attached.

       

      He found a workaround which involves forcing pip to use an earlier version of Cython here: https://discuss.python.org/t/getting-requirements-to-build-wheel-did-not-run-successfully-exit-code-1/30365.

       

      Original slack thread: https://mongodb.slack.com/archives/CR8SNBY0N/p1694532039822779

            Assignee:
            backlog-server-devplatform [DO NOT ASSIGN] Backlog - Server Development Platform Team (SDP) (Inactive)
            Reporter:
            trevor.guidry@mongodb.com Trevor Guidry
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Created:
              Updated:
              Resolved:

                Error rendering 'slack.nextup.jira:slack-integration-plus'. Please contact your Jira administrators.